# Uses of Interface
java.lang.classfile.attribute.LineNumberInfo

Packages that use LineNumberInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of LineNumberInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return LineNumberInfo
Modifier and Type
Method
Description
`static LineNumberInfo`
LineNumberInfo.`of(int startPc, int lineNumber)`
Returns a line number description.
Methods in java.lang.classfile.attribute that return types with arguments of type LineNumberInfo
Modifier and Type
Method
Description
`List<LineNumberInfo>`
LineNumberTableAttribute.`lineNumbers()`
Returns the table mapping bytecode offsets to source line numbers.
Method parameters in java.lang.classfile.attribute with type arguments of type LineNumberInfo
Modifier and Type
Method
Description
`static LineNumberTableAttribute`
LineNumberTableAttribute.`of(List<LineNumberInfo> lines)`
Returns a `LineNumberTable` attribute.